edu.northwestern.at.morphadorner.corpuslinguistics.sentencemelder

## Class SentenceMelderState

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.sentencemelder.SentenceMelderState

-     public class SentenceMelderState
      extends java.lang.Object

  Sentence melder state.

  All of the state variables have package scope. Classes outside the sentence melder package should treat the state as an opaque object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `doubleQuoteStart` Index of the starting double quote.
    `(package private) java.lang.String` | `elementURI` XML element URI.
    `(package private) boolean` | `inDoubleQuotes` True if we're in a double quoted portion of the text.
    `(package private) boolean` | `inSingleQuotes` True if we're in a single quoted portion of the text.
    `(package private) java.lang.String` | `previousWord` Previous word token.
    `(package private) java.lang.StringBuffer` | `sb` Holds reconstituted sentence.
    `(package private) int` | `singleQuoteStart` Index of the starting single quote.
    `(package private) int` | `wordsDone` Remembers the number of words processed so far.
    `(package private) XMLWriter` | `xmlWriter` XML writer for XML output.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SentenceMelderState()` Create sentence melder state.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reset()` Reset the melder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inDoubleQuotes

          boolean inDoubleQuotes

      True if we're in a double quoted portion of the text.

    - #### doubleQuoteStart

          int doubleQuoteStart

      Index of the starting double quote.

    - #### singleQuoteStart

          int singleQuoteStart

      Index of the starting single quote.

    - #### inSingleQuotes

          boolean inSingleQuotes

      True if we're in a single quoted portion of the text.

    - #### previousWord

          java.lang.String previousWord

      Previous word token.

    - #### wordsDone

          int wordsDone

      Remembers the number of words processed so far.

    - #### sb

          java.lang.StringBuffer sb

      Holds reconstituted sentence.

    - #### xmlWriter

          XMLWriter xmlWriter

      XML writer for XML output.

    - #### elementURI

          java.lang.String elementURI

      XML element URI.

  - ### Constructor Detail

    - #### SentenceMelderState

          SentenceMelderState()

      Create sentence melder state.

  - ### Method Detail

    - #### reset

          public void reset()

      Reset the melder.

      Clears the internal state which tracks quote mark pairing, word count, and the previous word encountered. Usually called between text divisions such as paragraphs.